group "CommodityWeatherOption.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 8 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
effectiveDate, (weatherCalculationPeriods | weatherCalculationPeriodsReference), weatherNotionalAmount, exercise, weatherIndexStrikeLevel, calculation, weatherIndexData

Content Model Elements (8):

  calculation (in commodityOption), effectiveDate (in commodityOption), exercise (in commodityOption), weatherCalculationPeriods, | weatherCalculationPeriodsReference, weatherIndexData (in commodityOption), weatherIndexStrikeLevel, weatherNotionalAmount (in commodityOption)

Known Usage Locations

- In definitions of global complexTypes (1):
  CommodityOption

Annotation
Described Weather Index Option component. Weather Index Option transactions are OTC derivative transactions which settle financially based on an index calculated from observations of temperature and precipitation at weather stations throughout the world. Sub-Annex C of the 2005 ISDA Commodity Definitions provides definitions and terms for a number of types of weather indices. These indices include: HDD (heating degree days), CDD (cooling degree days), CPD (critical precipitation days). Weather Index Option Transactions results in a cash flow to the buyer depending on the relationship between the Settlement Level to the Weather Index Strike Level.
XML Source (w/o annotations (5); see within schema source)

<xsd:group name="CommodityWeatherOption.model"> <xsd:sequence> <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"/> <xsd:group ref="WeatherCalculationPeriod.model"/> <xsd:element name="weatherNotionalAmount" type="NonNegativeMoney"/> <xsd:element name="exercise" type="CommodityExercise"/> <xsd:element name="weatherIndexStrikeLevel" type="WeatherIndex"/> <xsd:element name="calculation" type="WeatherLegCalculation"/> <xsd:element name="weatherIndexData" type="WeatherIndexData"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 6/8)
calculation

  Type: | WeatherLegCalculation, complex content

  Contains parameters which figure in the calculation of payments on a Weather Index Option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculation" type="WeatherLegCalculation"/>

effectiveDate

  Type: | AdjustableOrRelativeDate, complex content

  Effective date of an option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"/>

exercise

  Type: | CommodityExercise, complex content

  XML Source (see within schema source)

  <xsd:element name="exercise" type="CommodityExercise"/>

weatherIndexData

  Type: | WeatherIndexData, complex content

  Specifies where the data (e.g. CPD) have been collected, an actual physical reference point (weather station) and various fall back arrangements.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="weatherIndexData" type="WeatherIndexData"/>

weatherIndexStrikeLevel

  Type: | WeatherIndex, complex content

  Weather Index strike price level is specified in terms of weather index units (e.g. 1 Days, 3 Inches, etc.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="weatherIndexStrikeLevel" type="WeatherIndex"/>

weatherNotionalAmount

  Type: | NonNegativeMoney, complex content

  XML Source (see within schema source)

  <xsd:element name="weatherNotionalAmount" type="NonNegativeMoney"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.